<%= content_for(:header_tags) do %>
    <%= import_ke(enable_at: false, prettify: false, init_activity: true) %>
    <%= javascript_include_tag 'forum' %>
<% end %>

<script>
    function expand_reply(container,btnid){
        var target = $(container).children();
        var btn = $(btnid);
        if(btn.data('init')=='0'){
            btn.data('init',1);
            btn.html('收起回复');
            target.show();
        }else{
            btn.data('init',0);
            btn.html('展开更多');
            target.hide();
            target.eq(0).show();
            target.eq(1).show();
            target.eq(2).show();
        }
    }
    $(function() {
        sd_create_editor_from_data(<%= @memo.id%>,null,"100%", "<%=@memo.class.to_s%>");
    });

    function del_confirm(){
        if(confirm('确认删除么?')){
            $("#del_memo_link").click();
        }else{

        }
    }
</script>
<div class="postRightContainer">
  <div class="postThemeContainer">
    <div class="postDetailPortrait">
      <%= link_to image_tag(url_to_avatar(@memo.author),:width=>50,:height => 50,:alt=>'贴吧图像' ),user_path(@memo.author) %>
    </div>
    <div class="postThemeWrap">
      <% if @memo.author.id == User.current.id%>
      <div class="homepagePostSetting">
        <ul>
          <li class="homepagePostSettingIcon">
            <ul class="homepagePostSettiongText">
              <li><a href="<%= edit_forum_memo_path(@memo.forum,@memo)%>" class="postOptionLink">编辑</a></li>
              <li><a href="javascript:void(0);"  class="postOptionLink" onclick="del_confirm();">删除</a></li>
              <li style="display: none"><a href="<%= forum_memo_path(@memo.forum,@memo) %>" data-method="delete" id="del_memo_link" ></a></li>
            </ul>
          </li>
        </ul>
      </div>
      <%end%>
      <div class="postDetailTitle fl">
        <a href="javascript:void(0);" class="f14 linkGrey4 fb" style="overflow:hidden;">主题: <%= @memo.subject%></a>
      </div>
      <%= render :partial => "memos/praise_tread",:locals => {:obj => @memo,:show_flag => true,:user_id =>User.current.id,:horizontal => true}%>
      <div class="cl"></div>

      <div class="postDetailCreater">
        <%= link_to @memo.author.name, user_path(@memo.author), :class => "linkBlue2", :target=> "_blank"%></div>
      <div class="postDetailDate mb5"><%= format_date( @memo.created_at)%></div>
      <div class="cl"></div>
      <div class="homepagePostIntro memo-content" id="activity_description_<%= @memo.id %>" style="word-break: break-all; word-wrap:break-word;margin-bottom: 0px !important;" >
            <%= @memo.content.html_safe%>
      </div>
      <div class="cl"></div>
      <div class=" fl" style="width: 600px">
        <% if @memo.attachments.any?%>
            <% options = {:author => true, :deletable => @memo.deleted_attach_able_by?(User.current) } %>
            <%= render :partial => 'attachments_links', :locals => {:attachments => @memo.attachments, :options => options, :is_float => true} %>
        <% end %>
      </div>
      <div class="cl"></div>
      <span class=" fr" style="color: #888888; font-size: 12px;">更新时间：<%= format_date(@memo.updated_at)%></span>
    </div>
    <div class="cl"></div>
  </div>
  <div class="cl"></div>
  <div class="homepagePostReply">
    <div class="homepagePostReplyBanner">
      <div class="homepagePostReplyBannerCount">回复（<%=@reply_count %>）</div>
      <div class="homepagePostReplyBannerTime"></div>
      <!--<div class="homepagePostReplyBannerMore">-->
        <!--<%# if @reply_count > 2%>-->
        <!--<a# href="javascript:void(0);" class="replyGrey"  id="reply_btn_<%#= @memo.id%>" onclick="expand_reply('#reply_div_<%#= @memo.id %>','#reply_btn_<%#= @memo.id%>')" data-count="<%= @reply_count %>" data-init="0" >点击展开更多回复</a>-->
        <!--<%# end %>-->
      <!--</div>-->
    </div>
    <div class="" id="reply_div_<%=  @memo.id %>">
    <% @replies.each_with_index  do |reply,i| %>
    <div class="homepagePostReplyContainer" >
      <div class="homepagePostReplyPortrait">
          <%= link_to image_tag(url_to_avatar(reply.author), :width => 33,:height => 33), user_path(reply.author) %>
      </div>
      <div class="homepagePostReplyDes">
        <div class="homepagePostReplyPublisher"><a href="<%=user_path(reply.author)%>" class="newsBlue mr10 f14"><%= reply.author.name%></a><%=  format_date(reply.created_at) %></div>
        <div class="homepagePostReplyContent" id="activity_description_<%= reply.id %>"><%= reply.content.html_safe%></div>
      </div>
      <script type="text/javascript">
          $(function(){
              $("#activity_description_<%= reply.id %> p,#activity_description_<%= reply.id %> span,#activity_description_<%= reply.id %> em").each(function(){
                  var postContent = $(this).html();
                  postContent = postContent.replace(/&nbsp;/g," ");
                  postContent= postContent.replace(/ {2}/g,"&nbsp; ");
                  postContent=postContent.replace(/&nbsp; &nbsp;/g,"&nbsp;&nbsp;&nbsp;");
                  postContent=postContent.replace(/&nbsp;  /g,"&nbsp;&nbsp; ");
                  $(this).html(postContent);
              });
              autoUrl('activity_description_<%= reply.id %>');
              description_show_hide(<%= reply.id %>);
          });
      </script>
      <div class="cl"></div>
    </div>
     <% end %>
      </div>
    <div class="cl"></div>
    <div class="homepagePostReplyContainer borderBottomNone minHeight48">
      <div class="homepagePostReplyPortrait mr15 imageFuzzy" id="reply_image_<%= @memo.id%>"><%= link_to image_tag(url_to_avatar(User.current), :width => "33", :height => "33"), user_path(User.current), :alt => "用户头像" %></div>
      <div class="homepagePostReplyInputContainer mb10">
        <div nhname='new_message_<%= @memo.id%>' style="display:none;">
          <%= form_for('memo',:url=>forum_memos_path,:method => "post") do |f|%>
              <%= f.hidden_field :subject, :required => true, value: @memo.subject %>
              <%= f.hidden_field :forum_id, :required => true, value: @memo.forum_id %>
              <%= f.hidden_field :parent_id, :required => true, value: @memo.id %>
              <%= hidden_field_tag :quote,"",:required => false,:style => 'display:none' %>
              <div nhname='toolbar_container_<%= @memo.id%>'></div>
              <textarea placeholder="有问题或有建议，请直接给我留言吧！" style="display: none" nhname='new_message_textarea_<%= @memo.id%>' name="memo[content]"></textarea>
              <a id="new_message_submit_btn_<%= @memo.id%>" href="javascript:void(0)" onclick="this.style.display='none'" class="blue_n_btn fr" style="display:none;margin-top:6px;">发送</a>
              <div class="cl"></div>
              <p nhname='contentmsg_<%= @memo.id%>'></p>
          <% end%>
        </div>
        <div class="cl"></div>
      </div>
      <div class="cl"></div>
    </div>
  </div>
</div>
<script type="text/javascript">
    $(function(){
            $("#activity_description_<%= @memo.id %> p,#activity_description__<%= @memo.id %> span,#activity_description_<%= @memo.id %> em").each(function(){
                var postContent = $(this).html();
                postContent = postContent.replace(/&nbsp;/g," ");
                postContent= postContent.replace(/ {2}/g,"&nbsp; ");
                postContent=postContent.replace(/&nbsp; &nbsp;/g,"&nbsp;&nbsp;&nbsp;");
                postContent=postContent.replace(/&nbsp;  /g,"&nbsp;&nbsp; ");
                $(this).html(postContent);
            });
            autoUrl('activity_description_<%= @memo.id %>');
            description_show_hide(<%= @memo.id %>);
    });
</script>